/**
 * Created by crismo on 24.01.15.
 */
SuperGame.LoadLevel = function(game){};
SuperGame.LoadLevel.prototype = {
    create: function(){
        this.ready = false;
        gameListener = this;

        var avatartStory = [
            ["Rambona","Liker lange opphold i jungelen og jakt med pil og bue"],
            ["Linn","Tegner, Tegner, Tegner strek"],
            ["Åshild","Git baby Git"],
            ["Terminatine","Bla bla bla"]
        ];

        if(SuperGame.current_levelIndex <= SuperGame.LEVEL_MAX){
            // Hent ut dataen til brettet
            var currentLevel = "level" + SuperGame.current_levelIndex;
            console.log("Loading level " + currentLevel);
            SuperGame.Map = game.cache.getJSON(currentLevel);
            console.log(SuperGame.Map);


            this.fontStyle = { font: "20px Arial", fill: "#FFFFFF", stroke: "#333", strokeThickness: 5, align: "center", wordWrap: true, wordWrapWidth: 780 };
            this.fontsm = { font: "15px Arial", fill: "#FFFFFF", stroke: "#333", strokeThickness: 0, align: "center", wordWrap: true, wordWrapWidth: 780 };
            this.timerText = this.add.text(250, 150, SuperGame.Map.story + "\n\n -- Klikk hvor som helst for å starte --  \n\n\n Avatarene du kontrolerer" , this.fontStyle);

            for(var i = 0; i <  SuperGame.controlableAvatars.length; i++){
                var avatar = game.add.sprite(400 , 400 + 40*i, 'avatar_' + SuperGame.controlableAvatars[i]);
                this.add.text(450, 400 + 40*i, avatartStory[i][0] + " : " +avatartStory[i][1]  , this.fontsm);
            }

            this.input.onDown.add(function(){

                if(this.ready == false){
                    this.ready = true;
                    this.timerText.setText(SuperGame.Map.story + "\n\n -- Venter på de andre spillerene -- \n\n\n Avatarene du kontrolerer");
                    sendReadyToStartLevel();
                }
            }, this);


        }else{
            ///NOTE: Her kunne vi ha gått til en Game over sekvens, kansje en oppsumerings side med antall brett klart. Tid brukt etc?
            this.state.start("Menu");
        }
    },
    onServerStartLevel:function(){
        console.log("Skal starte et nytt brett nå");
        game.state.start("Game");
    }

};