/**
 * Created by crismo on 24.01.15.
 */
SuperGame.Menu = function(game){

};
SuperGame.Menu.prototype = {
    create: function(){

        gameListener = this;

        this.add.sprite(0,0,"menuBackground");
        this.add.sprite(250,300,"menuTitle");

        this.fontStyle = { font: "20px Arial", fill: "#FFFFFF", stroke: "#FFF", strokeThickness: 0, align: "center" };
        this.playerText = this.add.text(20, 20, "Player count: 1", this.fontStyle);

        setupServerConnection();

    },
    onServerReady:function(open, first){
        if(first){
            // start knappen er bare tilgjengelig for den første spilleren som logger seg på
            this.add.button(800, 500, 'startButton', this.startGame, this, 1, 0, 2);
        }else{
            ///TODO: Kansje legge inn en melding om at man venter på hovedspilleren.
        }
    },
    onServerNewPlayer:function(playerCount){
        this.playerText.setText("Player count:" + playerCount);
    },
    onServerSetAvatars:function(avatars){
        console.log(avatars);
        SuperGame.Map = null;
        SuperGame.current_levelIndex = 1;
        SuperGame.controlableAvatars = avatars;
        this.state.start('LoadLevel');
    }
    ,
    startGame: function() {
        sendStartGameRequest();
    }
};