SuperGame.Preloader = function(game){

    SuperGame.GAME_WIDTH = 1280;
    SuperGame.GAME_HEIGHT = 720;
    SuperGame.LEVEL_MIN = 1;
    SuperGame.LEVEL_MAX = 2;
};
SuperGame.Preloader.prototype = {
    preload: function(){

        // set bakgrunnsfarge og litt grafikk for å vise loading status.
        this.stage.backgroundColor = '#000000';
        this.preloadBar = this.add.sprite((SuperGame.GAME_WIDTH-300)/2, (SuperGame.GAME_HEIGHT-27)/2, 'preloaderBar');
        this.load.setPreloadSprite(this.preloadBar);

        // Laster grafikk av ulike typer (all grafikken for hele spillet skal lastes her)
        game.load.image("menuBackground","img/menu-background.png");
        game.load.image("menuTitle","img/menu-title.png");
        //game.load.image("avatar", "img/avatar.png");

        game.load.spritesheet("avatar_1", "img/player_green.png", 32, 25, 3);
        game.load.spritesheet("avatar_2", "img/player_red.png", 32, 25, 3);
        game.load.spritesheet("avatar_3", "img/player_blue.png", 32, 25, 3);
        game.load.spritesheet("avatar_4", "img/player_black.png", 32, 25, 3);

        game.load.spritesheet("exitTile", "img/goal.png",32,32);

        game.load.spritesheet("unmovableWallTiles", "img/tiles_unmovableWall.png",32,32, 8);
        game.load.spritesheet("movableWallTiles", "img/movable.png", 32,32,1);
        game.load.spritesheet("floorTiles","img/tiles_floor.png",32,32);
        game.load.spritesheet('startButton', 'img/start-button.png', 300, 82);
        //game.load.spritesheet("aboutButton","img/about-button.png", ? , ?);

        // Laste alle brett som skal være med i hele spillet.
        game.load.json('level1','level/level1.json');
        game.load.json('level2','level/level2.json');
    },
    create: function(){
        this.state.start('Menu');

    }
};